Subject: BIG5 standard

From: Ming Pei <[email-masked]>
Date: Tue, 1 Feb 1994 20:34:45 EST

Doug.Schiffer  wrote
>
> Looking over the NJSTAR v2.1 GB font
> I see it has the following sections.
> Does anybody know what the full GB standard set has in the "missing"
> sections 10 through 14?
>
> Section       Hex      Description
> -------    ---------   -------------------------
> 01      A1A1-A1FE   Punctuation
> 02      A2A1-A2FE   Numerals (circled
> etc)
> 03      A3A1-A3FE   ASCII (wide characters)
>
> 04      A4A1-A4FE   Hieragana
> 05      A5A1-A5FE   Katakana
> 06      A6A1-A6FE   Greek
>
> 07      A7A1-A7FE   Russian
> 08      A8A1-A8FE   Roman vowels w tone marks/ Zuyin Fuhao
> 09      A9A1-A9FE   Line graphics
>
> 10      AAA1-AAFE   ?????????????????????? [missing]
> 11      ABA1-ABFE   ??????????????????????
> 12      ACA1-ACFE   ??????????????????????
> 13      ADA1-ADFE   ??????????????????????
> 14      AEA1-AEFE   ??????????????????????
>
> 15      AFA1-AFFE   NJSTAR uses this area for hanzi that have
> more than one traditional form corresponding
> to the simplified forms in GB 2312. I happen
> to know that GB12345 uses sections 88-94
> for this purpose.
>
> 16-87   B0A1-F7FE   Hanzi
>
I don't know about NJSTAR. I looked at the CWIN3.1 codes and found
the following:

 Section       Hex      Description
 -------    ---------   -------------------------
 01      A141-A1FE   Punctuation
 02      A241-A2FE   graphics, ASCII (wide)
 03      A341-A3FE   Greek and  Zuyin Fuhao

 04-89   A440-F9FE   Hanzi
 except Sections 39,40 (C4,C5) which are not used

 90      FA40-FAFE   user-defined words

 Thus, CWIN3.1 seems to have more Chinese chareacters than NJSTAR. I don't
 know why Sections 39 and 40 are skipped.

 Ming Pei